
AG300 = {};

function AG300.prerequisitesPresent(specializations)
    return true;
end;

function AG300:load(xmlFile)
	self.dir1 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.AG300#dir1"));
	self.dir2 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.AG300#dir2"));
end;

function AG300:delete()
end;
function AG300:mouseEvent(posX, posY, isDown, isUp, button)
end;
function AG300:keyEvent(unicode, sym, modifier, isDown)
end;
function AG300:updateTick(dt)	
	if self.dir1 ~= nil and self.dir2 ~= nil then
		local ax, ay, az = getWorldTranslation(self.dir1);
		local bx, by, bz = getWorldTranslation(self.dir2);
		x, y, z = worldDirectionToLocal(getParent(self.dir1), bx-ax, by-ay, bz-az);
		local upx, upy, upz = 0,1,0;
		if math.abs(y) > 0.99*Utils.vector3Length(x, y, z) then
			upy = 0;
			if y > 0 then
				upy = 1;
			else
				upy = -1;
			end;
		end;
		setDirection(self.dir1, x, y, z, upx, upy, upz);
		local ax2, ay2, az2 = getWorldTranslation(self.dir2);
		local bx2, by2, bz2 = getWorldTranslation(self.dir1);
		x2, y2, z2 = worldDirectionToLocal(getParent(self.dir2), bx2-ax2, by2-ay2, bz2-az2);
		local upx2, upy2, upz2 = 0,1,0;
		if math.abs(y2) > 0.99*Utils.vector3Length(x, y, z) then
			upy2 = 0;
			if y2 > 0 then
				upy2 = 1;
			else
				upy2 = -1;
			end;
		end;
		setDirection(self.dir2, x2, y2, z2, upx, upy, upz); 
	end;
end;
function AG300:update(dt)	
end;

function AG300:draw()
end;
